Skip to content
StraventaDocs
Now in Sandbox.

Create a report schedule

POST
/api/recon/v1/report-schedules

Creates a new automated report schedule with a cron expression and list of recipients.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST https://sandbox.505pay.link/api/recon/v1/report-schedules \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "01900000-0000-7000-8000-000000000120",
  "code": "daily_recon",
  "name": "Daily Recon Summary",
  "report_type": "reconciliation_summary",
  "cron_expr": "0 7 * * *",
  "enabled": true,
  "created_by": "01900000-0000-7000-8000-000000000001",
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z"
}
{
  "error": "validation_failed",
  "message": "Request body is invalid",
  "request_id": "01900000-0000-7000-8000-000000000001"
}
{
  "error": "unauthorized",
  "message": "Bearer token is missing or invalid",
  "request_id": "01900000-0000-7000-8000-000000000001"
}

{
  "error": "insufficient_scope",
  "message": "caller lacks the required permission",
  "request_id": "01900000-0000-7000-8000-000000000001"
}

{
  "error": "rate_limit_exceeded",
  "message": "too many requests",
  "request_id": "01900000-0000-7000-8000-000000000001"
}

Was this page helpful?